> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/gst-advanced.md).

# GST Advanced

Submit document

## ind\_gst\_advanced

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_gst_advanced`

## Post Parameters description is given below

<table><thead><tr><th>Post Parameter</th><th width="92">Type</th><th>is Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>gst_number</td><td>String</td><td>yes</td><td>Gst Number</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "gst_number": "00AAJCT3251A1ZU"
}
```

{% tabs %}
{% tab title=" 200: Success Response " %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "80f4a3c4-5de4-48b1-a7a4-9bb60229f7ef",
    "status": "completed",
    "result": {
        "gstin": "00AAJCT3251A1ZU",
        "pan_number": "AAJCT3001A",
        "date_of_registration": "2022-05-04",
        "gstin_status": "Cancelled on application of Taxpayer",
        "taxpayer_type": "Regular",
        "trade_name": "TUTELAR FINTECH PRIVATE LIMITED",
        "legal_name": "TUTELAR FINTECH PRIVATE LIMITED",
        "address": null,
        "date_of_cancellation": "2023-11-01",
        "constitution_of_business": "Private Limited Company",
        "state_jurisdiction": "State - Tamil Nadu,Division - CHENNAI CENTRAL,Zone - Central-I,Circle - SALIGRAMAM (Jurisdictional Office)",
        "center_jurisdiction": "Commissionerate - CHENNAI-SOUTH,Division - VADAPALANI,Range - RANGE II",
        "annual_turnover": "Slab: Rs. 40 lakhs to 1.5 Cr.",
        "annual_turnover_fy": "2022-2023",
        "percentage_in_cash_fy": "",
        "percentage_in_cash": "NA",
        "aadhaar_validation": "Yes",
        "aadhaar_validation_date": "2022-05-17",
        "liability_percentage_details": {},
        "address_details": {},
        "nature_of_principal_place_of_business": [
            "Supplier of Services"
        ],
        "field_visit_conducted": "No",
        "nature_of_core_business_activity_code": "SPO",
        "nature_of_core_business_activity_description": "Service Provider and Others",
        "contact_details": {
            "principal": {
                "address": "LEVEL-3 SHYAMALA TOWER, M/s REGUS CHENNAI . OFFICE CENTRE PVT, Shyamala Towers, 136 ARCVOT ROAD, Saligramam, Chennai, Chennai, Tamil Nadu, 600093",
                "email": "info@tutelar.io",
                "mobile": "7373288844",
                "nature_of_business": "Supplier of Services"
            },
            "additional": []
        },
        "promoters": [
            "KUMARASAMY RAJA PRADEEP KUMAR ",
            "PERUNTHALAIYUR VENKATASAMY KUMARASAMY RAJA "
        ],
        "filing_status": [
            [
                {
                    "return_type": "GSTR1",
                    "financial_year": "2023-2024",
                    "tax_period": "October",
                    "date_of_filing": "2023-11-08",
                    "status": "Filed",
                    "mode_of_filing": "ONLINE"
                },
                {
                    "return_type": "GSTR1",
                    "financial_year": "2023-2024",
                    "tax_period": "September",
                    "date_of_filing": "2023-10-09",
                    "status": "Filed",
                    "mode_of_filing": "ONLINE"
                }
            ]
        ],
        "hsn_info": {
            "goods": [],
            "services": [
                {
                    "description": "Information technology (IT) consulting and support services",
                    "hsn": "998313"
                }
            ]
        },
        "filing_frequency": []
    },
    "requested_at": "2024-04-18T11:08:26.921Z",
    "completed_at": "2024-04-18T11:08:32.845Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid GST Number",
        "field": "gst_number",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "cff5a9ef-dd46-4394-ba9d-74982fe6c1c9",
    "status": "failed",
    "error": {
        "message": "Invalid GSTIN",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T11:09:19.701Z",
    "completed_at": "2024-04-18T11:09:24.727Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/gst-advanced.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
